org.apache.fop.fo.flow.table

## Class EmptyGridUnit

- java.lang.Object
- - org.apache.fop.fo.flow.table.GridUnit
  - - org.apache.fop.fo.flow.table.EmptyGridUnit

    public class EmptyGridUnit
    extends GridUnit

GridUnit subclass for empty grid units.

### Field Summary

### Fields inherited from class org.apache.fop.fo.flow.table.GridUnit

`cell, collapsingBorderModel, FIRST_IN_PART, KEEP_WITH_NEXT_PENDING, KEEP_WITH_PREVIOUS_PENDING, LAST_IN_PART`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrimaryGridUnit` `getPrimary()` Returns the before-start grid unit of the cell containing this grid unit.
`boolean` `isLastGridUnitColSpan()`
`boolean` `isLastGridUnitRowSpan()`
`boolean` `isPrimary()` Is this grid unit the before-start grid unit of the cell?
`protected void` `setBordersFromCell()` Prepares the borders of this grid unit for upcoming resolution, in the collapsing model.

### Methods inherited from class org.apache.fop.fo.flow.table.GridUnit

`getBorderAfter, getBorderBefore, getBorderEnd, getBorderStart, getCell, getColSpanIndex, getFlag, getRow, getRowSpanIndex, isEmpty, setFlag, setFlag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### setBordersFromCell

    protected void setBordersFromCell()

Prepares the borders of this grid unit for upcoming resolution, in the collapsing model.

Overrides:
  `setBordersFromCell` in class `GridUnit`

#### getPrimary

    public PrimaryGridUnit getPrimary()

Returns the before-start grid unit of the cell containing this grid unit.

Overrides:
  `getPrimary` in class `GridUnit`
Returns:
  the before-start grid unit of the cell containing this grid unit.

#### isPrimary

    public boolean isPrimary()

Is this grid unit the before-start grid unit of the cell?

Overrides:
  `isPrimary` in class `GridUnit`
Returns:
  true if this grid unit is the before-start grid unit of the cell

#### isLastGridUnitColSpan

    public boolean isLastGridUnitColSpan()

Overrides:
  `isLastGridUnitColSpan` in class `GridUnit`
Returns:
  true if the grid unit is the last in column spanning direction

#### isLastGridUnitRowSpan

    public boolean isLastGridUnitRowSpan()

Overrides:
  `isLastGridUnitRowSpan` in class `GridUnit`
Returns:
  true if the grid unit is the last in row spanning direction